package com.ssj.bean.sys.homework.domain;


import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "scon_homework_how_details")
public class HomeworkHowDetail extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@Column(name = "wrong_question_id")
    private String wrongQuestionId;

    @Column(name = "homework_id")
    private String homeworkId;

    @Column(name = "homework_picture_id")
    private String homeworkPictureId;

    @Column(name = "how_detail_id")
    private String howDetailId;

    private String module;

    /**
     * 作业类型，1错题知识点，2作业知识点
     */
    @Column(name = "work_detail_type")
    private Integer workDetailType;

    @Column(name = "detail_count")
    private Integer detailCount;
    private int knowledgeVersion = 1;//知识点版本
    private Date createTime;
    private Integer totalCount = 1;
    /**
     * 用于家长端错题本错题是否显示
     */
    private boolean isWrongQuesDelete;

    private String grade;

    private int semester;

    public boolean getIsWrongQuesDelete() {
        return isWrongQuesDelete;
    }

    public void setIsWrongQuesDelete(boolean wrongQuesDelete) {
        isWrongQuesDelete = wrongQuesDelete;
    }

    public String getWrongQuestionId() {
        return wrongQuestionId;
    }

    public void setWrongQuestionId(String wrongQuestionId) {
        this.wrongQuestionId = wrongQuestionId;
    }
    @Column( updatable = false)
    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }
    @Column( updatable = false)
    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public String getHowDetailId() {
        return howDetailId;
    }

    public void setHowDetailId(String howDetailId) {
        this.howDetailId = howDetailId;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public Integer getWorkDetailType() {
        return workDetailType;
    }

    public void setWorkDetailType(Integer workDetailType) {
        this.workDetailType = workDetailType;
    }

    public Integer getDetailCount() {
        return detailCount;
    }

    public void setDetailCount(Integer detailCount) {
        this.detailCount = detailCount;
    }

    public int getKnowledgeVersion() {
        return knowledgeVersion;
    }

    public void setKnowledgeVersion(int knowledgeVersion) {
        this.knowledgeVersion = knowledgeVersion;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public int getSemester() {
        return semester;
    }

    public void setSemester(int semester) {
        this.semester = semester;
    }

    @Override
    public String toString() {
        return "HomeworkHowDetail{" +
                "wrongQuestionId='" + wrongQuestionId + '\'' +
                ", homeworkId='" + homeworkId + '\'' +
                ", homeworkPictureId='" + homeworkPictureId + '\'' +
                ", howDetailId='" + howDetailId + '\'' +
                ", module='" + module + '\'' +
                ", workDetailType=" + workDetailType +
                ", detailCount=" + detailCount +
                ", knowledgeVersion='" + knowledgeVersion + '\'' +
                ", createTime=" + createTime +
                '}';
    }
}
